@mixin planItemActive {
  &.active {
    transition: all 0s ease-in-out;
    & > .plan-item__content {
      @include themify($themes) {
        border: solid 3px themed('main');
      }
      .plan-item__content-number {
        transition: all 0s ease-in-out;
        @include themify($themes) {
          color: themed('main');
        }
      }
      .plan-item__content-month {
        transition: all 0s ease-in-out;
        @include themify($themes) {
          color: themed('main');
        }
      }
      .plan-item__content-price {
        transition: all 0s ease-in-out;
        @include themify($themes) {
          color: themed('main');
        }
      }
      .plan-item__content-footer {
        transition: all 0s ease-in-out;
        @include themify($themes) {
          background: themed('main');
        }
      }
    }
    & > .plan-item__bottom {
      & > .plan-item__bottom-label {
        transition: all 0s ease-in-out;
        @include themify($themes) {
          color: themed('main');
        }
      }
    }
  }
}

.plan-item {
  width: 100%;
  height: 100%;
  @include themify($themes) {
    background: themed('transparent');
  }
  @include planItemActive();
  &__content {
    @include default-link();
    display: block;
    border-radius: 5px;
    width: 100%;
    height: calc(100% - 64px);
    overflow: hidden;
    position: relative;
    transition: all 0.3s ease-in-out;
    @include themify($themes) {
      border: solid 3px themed('backgroundContrast');
      background: themed('backgroundLight');
      @include mq-down(md) {
        border: solid 1px themed('backgroundContrast');
      };
    }
    &:hover {
      transition: all 0.3s ease-in-out;
      @include themify($themes) {
        background: lighten(themed('backgroundLight'), 10%);
      }
    }
    &-center {
      position: absolute;
      top: 45%;
      left: 50%;
      transform: translateY(-50%) translateX(-50%);
      -webkit-transform: translateY(-50%) translateX(-50%);
    }
    &-number {
      transition: all 0.3s ease-in-out;
      text-align: center;
      @include FM('B');
      @include FS('XL');
      @include themify($themes) {
        color: themed('string');
      }
      @include mq-down(lg) {
        @include FS('L');
      };
      @include mq-down(md) {
        @include FS('M');
      };
      @include mq-down(fm) {
        @include FS('S');
      };
    }
    &-month {
      transition: all 0.3s ease-in-out;
      text-align: center;
      padding: 12px 0;
      @include FM('L');
      @include FS('M');
      @include themify($themes) {
        color: themed('string');
      }
      @include mq-down(lg) {
        @include FS('FL');
        padding: 8px 0;
      };
      @include mq-down(md) {
        @include FS('FM');
      };
      @include mq-down(fm) {
        @include FS('S');
        padding: 4px 0;
      };
    }
    &-price {
      transition: all 0.3s ease-in-out;
      text-align: center;
      padding: 12px 0;
      @include FM('B');
      @include FS('L');
      @include themify($themes) {
        color: themed('string');
      }
      @include mq-down(lg) {
        @include FS('FL');
        padding: 8px 0;
      };
      @include mq-down(md) {
        @include FS('FM');
      };
      @include mq-down(fm) {
        @include FS('S');
        padding: 4px 0;
      };
    }
    &-footer {
      transition: all 0.3s ease-in-out;
      position: absolute;
      left: 0;
      bottom: 0;
      width: 100%;
      height: 72px;
      @include themify($themes) {
        background: themed('transparent');
      }
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      @include mq-down(lg) {
        height: 44px;
      };
      @include mq-down(md) {
        padding-top: 6px;
        height: 32px;
      };
      @include mq-down(fm) {
        padding-top: 2px;
        height: 24px;
      };
      &__label {
        height: 30px;
        transition: all 0.3s ease-in-out;
        text-align: center;
        @include FM('B');
        @include FS('FM');
        @include themify($themes) {
          color: themed('string');
        }
        @include mq-down(lg) {
          @include FS('S');
        };
        @include mq-down(md) {
          @include FS('FS');
        };
        @include mq-down(fm) {
          @include FS('XS');
        };
      }
    }
  }
  &__bottom {
    height: 64px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    &-label {
      height: 30px;
      transition: all 0.3s ease-in-out;
      text-align: center;
      @include FM('L');
      @include FS('FM');
      @include themify($themes) {
        color: themed('string');
      }
      @include mq-down(md) {
        @include FS('S');
      };
      @include mq-down(fm) {
        @include FS('XS');
      };
    }
  }
}
